// Importing required packages for this page
import { geoPath } from 'd3';

// Creating Required paths and projections. for this page
const projection = geoAlbersUsaTerritories.geoAlbersUsaTerritories();
const path = geoPath(projection);

// creating required interiors and land for the map
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);