// Importing all the required packages for this creation
import React from 'react';
import ReactDOM from 'react-dom';
import { useData } from './useData';
import { Marks } from './Marks';
// Setting width and height
const width = 970;
const height = 620;
// Importing the data.js file over here
const Apps = () => {
  const data = useData();

  if (!data) {
    return <pre>Loading...</pre>;
  }

  return (
    <svg width={width} height={height}>
      <Marks data={data} />
    </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<Apps />, rootElement);
